## List env_vars

### cURL

```bash
curl --request GET \
  --url https://api.braintrust.dev/v1/env_var \
  --header 'Authorization: Bearer <token>'
```

### Python

```python
import requests

url = "https://api.braintrust.dev/v1/env_var"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```javascript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.braintrust.dev/v1/env_var', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.braintrust.dev/v1/env_var",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>
```

### Go

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api.braintrust.dev/v1/env_var"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Java (Unirest)

```java
HttpResponse<String> response = Unirest.get("https://api.braintrust.dev/v1/env_var")
  .header("Authorization", "Bearer <token>")
  .asString();
```

### Ruby

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.braintrust.dev/v1/env_var")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

### HTTP Status Codes

- **200**: Success
- **400**: Bad Request
- **401**: Unauthorized
- **403**: Forbidden
- **429**: Too Many Requests
- **500**: Internal Server Error

### Example Response

```json
{
  "objects": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "object_type": "organization",
      "object_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "created": "2023-11-07T05:31:56Z",
      "secret_updated_at": "2023-11-07T05:31:56Z",
      "secret_updated_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "used": "2023-11-07T05:31:56Z",
      "metadata": {},
      "preview_secret": "<string>",
      "secret_type": "<string>",
      "secret_category": "env_var"
    }
  ]
}
```

## Authorizations

### Authorization
- **Type**: string
- **Location**: header
- **Required**: Yes

Most Braintrust endpoints are authenticated by providing your API key as a header `Authorization: Bearer [api_key]` to your HTTP request. You can create an API key in the Braintrust organization settings page.

## Query Parameters

### limit
- **Type**: integer | null
- **Description**: Limit the number of objects to return
- **Required range**: `x >= 0`

### ids
- **Type**: string<uuid>[]
- **Description**: Filter search results to a particular set of object IDs.

### env_var_name
- **Type**: string
- **Description**: Name of the env_var to search for

### object_type
- **Type**: enum<string>
- **Description**: The type of the object the environment variable is scoped for
- **Available options**: `organization`, `project`, `function`

### object_id
- **Type**: string<uuid>
- **Description**: The id of the object the environment variable is scoped for

## Response

- **200**: application/json  
Returns a list of env_var objects

### Response Format
- **objects**: object[] (required)
  - A list of env_var objects
